<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
echo head . 'Контакт с администрацией' . div;

function Encode($str,$type=u)
{
    $conv=array();
    for($x=192;$x<=239;$x++)
    $conv['u'][chr($x)]=chr(208).chr($x-48);
    for($x=240;$x<=255;$x++)
    $conv['u'][chr($x)]=chr(209).chr($x-112);
    $conv['u'][chr(168)]=chr(208).chr(129);
    $conv['u'][chr(184)]=chr(209).chr(209);
    $conv['w']=array_flip($conv['u']);
    if($type=='w' || $type=='u')
    return strtr($str,$conv[$type]);
    else
    return $str;
}
####CONFIG
$cont['1_email'] = 'miledi@jamob.ru'; #E-Mail первого администратора
$cont['1_uin'] = 888821; #UIN первого администратора
$cont['1_id'] = 4; #ID первого администратора
$cont['2_email'] = 'admin@jamob.ru'; #E-Mail второго администратора
$cont['2_uin'] = 323333; #UIN второго администратора
$cont['2_id'] = 9; #ID второго администратора

$cont['uinset'] = 777777; #Номер аськи, с которого будет высылаться сообщение
$cont['uinpasset'] = 'блабла'; #Пароль от аськи
##########

if (!empty($_POST['submit'])) {
    $msg = html($_POST['msg']);
    $admin1 = num($_POST['admin1']);
    $admin2 = num($_POST['admin2']);
    $email = num($_POST['email']);
    $icq = num($_POST['icq']);
    $mail = num($_POST['mail']);
    $email2 = html($_POST['email2']);
    $uin2 = num($_POST['uin2']);
    
    if (empty($msg)) $err = 'Вы не ввели сообщение';
    if (strlen($msg) < 15) $err = 'Слишком короткое сообщение';
    if (empty($_POST['admin1']) AND empty($_POST['admin2'])) $err = 'Вы не выбрали администратора';
    if (empty($_POST['email']) AND empty($_POST['icq']) AND empty($_POST['mail'])) $err = 'Вы не выбрали вариант связи';
    if ($_POST['code'] != $_SESSION['code']) $err = 'Проверочный код введен не верно';
    
    if (empty($err)) { 
    if (!empty($_POST['admin1'])) {
        
        if (!empty($_POST['email'])) {

				
				$tema = 'Вам написали с jamob.ru';
				$text = 'К Вам вопрос от '.$login_session.':<br />'.$mag.'';
				$header.="From: \"".$login_session."\" <".$email2.">\n";
				$header.="Subject: ".$tema."\n";
				$header.="Content-type: text/html; charset=\"utf-8\"\n";
				mail($cont['1_email'],$tema,$text,$header);
				echo 'Письмо отправлено.';
				
        }
        if (!empty($_POST['icq'])) {
            ###ПИШЕМ В АСЬКУ ПЕРВОМУ АДМИНУ
            include('WebIcqLite.class.php');
            $text=Encode(NULL . 'С Jamob.ru: '.$msg.'. Обратная связь: E-Mail '.$email2.', UIN '.$uin2.', ID на сайте: '.$id_session,'w');
            $icq = new WebIcqLite();
            if($icq->connect($cont['uinset'], $cont['uinpasset'])){
            if(!$icq->send_message($cont['1_uin'], $text)){
            echo $icq->error;
            }else{
            echo "Сообщение в аську успешно отправлено<br/>";
            }
            $icq->disconnect();
            }else{
            echo $icq->error;
            }
            
        }
        
        if (!empty($_POST['mail'])) {
            ###ПИШЕМ В ЛИЧКУ ПЕРВОМУ АДМИНУ
            if (mysql_query("INSERT INTO `mail` SET `to_user` = '".$cont['1_id']."', `ot_user` = '".$id_session."', `msg` = '".$msg."', `status` = 0, `date` = '".(time() + 15)."'"))
                echo "Сообщение в личку успешно отправлено<br/>";
            else
                echo "Возникла ошибка. Сообщение в личку не отправлено<br/>";
            
        }        
        
    }
    
    if (!empty($_POST['admin2'])) {
        
        if (!empty($_POST['email'])) {
            ###ПИШЕМ НА МЫЛО ВТОРОМУ АДМИНУ
				$tema = 'Вам написали с jamob.ru';
				$text = 'К Вам вопрос от '.$login_session.':<br />'.$mag.'';
				$header.="From: \"".$login_session."\" <".$email2.">\n";
				$header.="Subject: ".$tema."\n";
				$header.="Content-type: text/html; charset=\"utf-8\"\n";
				mail($cont['2_email'],$tema,$text,$header);
				echo 'Письмо отправлено.';
        }
        if (!empty($_POST['icq'])) {
            include('WebIcqLite.class.php');
            $text=Encode(NULL . 'С Jamob.ru: '.$msg.'. Обратная связь: E-Mail '.$email2.', UIN '.$uin2.', ID на сайте: '.$id_session,'w');
            $icq = new WebIcqLite();
            if($icq->connect($cont['uinset'], $cont['uinpasset'])){
            if(!$icq->send_message($cont['2_uin'], $text)){
            echo $icq->error;
            }else{
            echo "
            <font color = 'red'>Сообщение успешно отправлено!</font><br/>
            <a href='index.php'>Отправить еще</a><br/>";
            }
            $icq->disconnect();
            }else{
            echo $icq->error;
            }
        }
        if (!empty($_POST['mail'])) {
            ###ПИШЕМ В ЛИЧКУ ВТОРОМУ АДМИНУ
            if (mysql_query("INSERT INTO `mail` SET `to_user` = '".$cont['2_id']."', `ot_user` = '".$id_session."', `msg` = '".$msg."', `status` = 0, `date` = '".(time() + 15)."'"))
                echo "Сообщение в личку успешно отправлено<br/>";
            else
                echo "Возникла ошибка. Сообщение в личку не отправлено<br/>";
        }        
        
    }
    echo 'Сообщение успешно отправлено<br/>';
    } else {
        echo '<b>Ошибка:</b> '.$err.'<br/>';
    }
}

echo katalog;
echo '<b>Контакты:</b><br/>';
echo '<b>Ангел</b> (Администратор):<br/>';
echo 'E-Mail: <b>'.$cont['1_email'].'</b><br/>';
echo 'ICQ: <b>'.$cont['1_uin'].'</b><br/><br/>';
echo '<b>Pulsar</b> (Администратор):<br/>';
echo 'E-Mail: <b>'.$cont['2_email'].'</b><br/>';
echo 'ICQ: <b>'.$cont['2_uin'].'</b><br/>';
echo div;

$_SESSION['code'] = rand(111,999);
echo au . '<form action="contact.php" method="post" name="form">';
echo '<b>Сообщение</b> [Min.15]<br/>';
echo '<textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;"></textarea><br/><br/>';
echo '<b>Кому пишем?:</b><br/>';
echo 'Ангел: <input type="checkbox"  name="admin1" value="1" /><br />';
echo 'Pulsar: <input type="checkbox"  name="admin2" value="1" /><br /><br/>';
echo '<b>Написать:</b><br/>';
echo 'на e-mail: <input type="checkbox"  name="email" value="1" /><br />';
echo 'в аську: <input type="checkbox"  name="icq" value="1" /><br />';
echo 'в личку: <input type="checkbox"  name="mail" value="1" /><br /><br/>';
echo '<b>Обратная связь:</b><br/>';
echo '<b>E-Mail:</b><br/><input name="email2" type="text" maxlength="25"/><br/ >';
echo '<b>UIN:</b><br/><input name="uin2" type="text" maxlength="9"/><br/ ><br/>';
echo '<b>Введите:</b> '.captcha($_SESSION['code']).'<br/ > <input name="code" type="text" maxlength="3" size="3"/><br/ ><br/>';
echo '<input name="submit" type="submit" class="button" value="Написать" /></form><br/><b> * За сообщение не по теме, БАН = 3 сутки.<br/> * Излагать свои мысли четко и понятно.</b>' . div;


navig();
foot();
?>